Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfTransitionStyleType

    java.lang.Object
      java.lang.Enum<OdfTransitionStyleType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfTransitionStyleType

All Implemented Interfaces:
  Serializable, Comparable<OdfTransitionStyleType>

    public enum OdfTransitionStyleType

extends Enum<OdfTransitionStyleType>

DOM implementation of OpenDocument attribute presentation:transition-style.

Enum Constant Summary
`CLOCKWISE`
`CLOSE`
`CLOSE_HORIZONTAL`
`CLOSE_VERTICAL`
`COUNTERCLOCKWISE`
`DISSOLVE`
`FADE_FROM_BOTTOM`
`FADE_FROM_CENTER`
`FADE_FROM_LEFT`
`FADE_FROM_LOWERLEFT`
`FADE_FROM_LOWERRIGHT`
`FADE_FROM_RIGHT`
`FADE_FROM_TOP`
`FADE_FROM_UPPERLEFT`
`FADE_FROM_UPPERRIGHT`
`FADE_TO_CENTER`
`FLY_AWAY`
`HORIZONTAL_CHECKERBOARD`
`HORIZONTAL_LINES`
`HORIZONTAL_STRIPES`
`INTERLOCKING_HORIZONTAL_LEFT`
`INTERLOCKING_HORIZONTAL_RIGHT`
`INTERLOCKING_VERTICAL_BOTTOM`
`INTERLOCKING_VERTICAL_TOP`
`MELT`
`MOVE_FROM_BOTTOM`
`MOVE_FROM_LEFT`
`MOVE_FROM_LOWERLEFT`
`MOVE_FROM_LOWERRIGHT`
`MOVE_FROM_RIGHT`
`MOVE_FROM_TOP`
`MOVE_FROM_UPPERLEFT`
`MOVE_FROM_UPPERRIGHT`
`NONE`
`OPEN`
`OPEN_HORIZONTAL`
`OPEN_VERTICAL`
`RANDOM`
`ROLL_FROM_BOTTOM`
`ROLL_FROM_LEFT`
`ROLL_FROM_RIGHT`
`ROLL_FROM_TOP`
`SPIRALIN_LEFT`
`SPIRALIN_RIGHT`
`SPIRALOUT_LEFT`
`SPIRALOUT_RIGHT`
`STRETCH_FROM_BOTTOM`
`STRETCH_FROM_LEFT`
`STRETCH_FROM_RIGHT`
`STRETCH_FROM_TOP`
`UNCOVER_TO_BOTTOM`
`UNCOVER_TO_LEFT`
`UNCOVER_TO_LOWERLEFT`
`UNCOVER_TO_LOWERRIGHT`
`UNCOVER_TO_RIGHT`
`UNCOVER_TO_TOP`
`UNCOVER_TO_UPPERLEFT`
`UNCOVER_TO_UPPERRIGHT`
`VERTICAL_CHECKERBOARD`
`VERTICAL_LINES`
`VERTICAL_STRIPES`
`WAVYLINE_FROM_BOTTOM`
`WAVYLINE_FROM_LEFT`
`WAVYLINE_FROM_RIGHT`
`WAVYLINE_FROM_TOP`

Method Summary
`static OdfTransitionStyleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTransitionStyleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTransitionStyleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTransitionStyleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VERTICAL_STRIPES

    public static final OdfTransitionStyleType VERTICAL_STRIPES

### INTERLOCKING_VERTICAL_BOTTOM

    public static final OdfTransitionStyleType INTERLOCKING_VERTICAL_BOTTOM

### FADE_TO_CENTER

    public static final OdfTransitionStyleType FADE_TO_CENTER

### OPEN_HORIZONTAL

    public static final OdfTransitionStyleType OPEN_HORIZONTAL

### UNCOVER_TO_LEFT

    public static final OdfTransitionStyleType UNCOVER_TO_LEFT

### FADE_FROM_UPPERLEFT

    public static final OdfTransitionStyleType FADE_FROM_UPPERLEFT

### ROLL_FROM_BOTTOM

    public static final OdfTransitionStyleType ROLL_FROM_BOTTOM

### COUNTERCLOCKWISE

    public static final OdfTransitionStyleType COUNTERCLOCKWISE

### MOVE_FROM_TOP

    public static final OdfTransitionStyleType MOVE_FROM_TOP

### FADE_FROM_CENTER

    public static final OdfTransitionStyleType FADE_FROM_CENTER

### UNCOVER_TO_UPPERRIGHT

    public static final OdfTransitionStyleType UNCOVER_TO_UPPERRIGHT

### MELT

    public static final OdfTransitionStyleType MELT

### MOVE_FROM_LOWERRIGHT

    public static final OdfTransitionStyleType MOVE_FROM_LOWERRIGHT

### VERTICAL_LINES

    public static final OdfTransitionStyleType VERTICAL_LINES

### SPIRALOUT_RIGHT

    public static final OdfTransitionStyleType SPIRALOUT_RIGHT

### INTERLOCKING_VERTICAL_TOP

    public static final OdfTransitionStyleType INTERLOCKING_VERTICAL_TOP

### STRETCH_FROM_LEFT

    public static final OdfTransitionStyleType STRETCH_FROM_LEFT

### INTERLOCKING_HORIZONTAL_RIGHT

    public static final OdfTransitionStyleType INTERLOCKING_HORIZONTAL_RIGHT

### WAVYLINE_FROM_RIGHT

    public static final OdfTransitionStyleType WAVYLINE_FROM_RIGHT

### OPEN_VERTICAL

    public static final OdfTransitionStyleType OPEN_VERTICAL

### UNCOVER_TO_LOWERRIGHT

    public static final OdfTransitionStyleType UNCOVER_TO_LOWERRIGHT

### ROLL_FROM_RIGHT

    public static final OdfTransitionStyleType ROLL_FROM_RIGHT

### FADE_FROM_LOWERLEFT

    public static final OdfTransitionStyleType FADE_FROM_LOWERLEFT

### HORIZONTAL_STRIPES

    public static final OdfTransitionStyleType HORIZONTAL_STRIPES

### SPIRALIN_LEFT

    public static final OdfTransitionStyleType SPIRALIN_LEFT

### UNCOVER_TO_TOP

    public static final OdfTransitionStyleType UNCOVER_TO_TOP

### FADE_FROM_BOTTOM

    public static final OdfTransitionStyleType FADE_FROM_BOTTOM

### HORIZONTAL_LINES

    public static final OdfTransitionStyleType HORIZONTAL_LINES

### FADE_FROM_LOWERRIGHT

    public static final OdfTransitionStyleType FADE_FROM_LOWERRIGHT

### DISSOLVE

    public static final OdfTransitionStyleType DISSOLVE

### STRETCH_FROM_TOP

    public static final OdfTransitionStyleType STRETCH_FROM_TOP

### STRETCH_FROM_BOTTOM

    public static final OdfTransitionStyleType STRETCH_FROM_BOTTOM

### CLOSE_VERTICAL

    public static final OdfTransitionStyleType CLOSE_VERTICAL

### WAVYLINE_FROM_TOP

    public static final OdfTransitionStyleType WAVYLINE_FROM_TOP

### WAVYLINE_FROM_BOTTOM

    public static final OdfTransitionStyleType WAVYLINE_FROM_BOTTOM

### HORIZONTAL_CHECKERBOARD

    public static final OdfTransitionStyleType HORIZONTAL_CHECKERBOARD

### FADE_FROM_UPPERRIGHT

    public static final OdfTransitionStyleType FADE_FROM_UPPERRIGHT

### SPIRALOUT_LEFT

    public static final OdfTransitionStyleType SPIRALOUT_LEFT

### MOVE_FROM_UPPERLEFT

    public static final OdfTransitionStyleType MOVE_FROM_UPPERLEFT

### RANDOM

    public static final OdfTransitionStyleType RANDOM

### INTERLOCKING_HORIZONTAL_LEFT

    public static final OdfTransitionStyleType INTERLOCKING_HORIZONTAL_LEFT

### FLY_AWAY

    public static final OdfTransitionStyleType FLY_AWAY

### VERTICAL_CHECKERBOARD

    public static final OdfTransitionStyleType VERTICAL_CHECKERBOARD

### UNCOVER_TO_LOWERLEFT

    public static final OdfTransitionStyleType UNCOVER_TO_LOWERLEFT

### FADE_FROM_TOP

    public static final OdfTransitionStyleType FADE_FROM_TOP

### UNCOVER_TO_BOTTOM

    public static final OdfTransitionStyleType UNCOVER_TO_BOTTOM

### UNCOVER_TO_UPPERLEFT

    public static final OdfTransitionStyleType UNCOVER_TO_UPPERLEFT

### NONE

    public static final OdfTransitionStyleType NONE

### ROLL_FROM_TOP

    public static final OdfTransitionStyleType ROLL_FROM_TOP

### FADE_FROM_RIGHT

    public static final OdfTransitionStyleType FADE_FROM_RIGHT

### ROLL_FROM_LEFT

    public static final OdfTransitionStyleType ROLL_FROM_LEFT

### CLOSE_HORIZONTAL

    public static final OdfTransitionStyleType CLOSE_HORIZONTAL

### MOVE_FROM_RIGHT

    public static final OdfTransitionStyleType MOVE_FROM_RIGHT

### OPEN

    public static final OdfTransitionStyleType OPEN

### MOVE_FROM_LEFT

    public static final OdfTransitionStyleType MOVE_FROM_LEFT

### CLOSE

    public static final OdfTransitionStyleType CLOSE

### UNCOVER_TO_RIGHT

    public static final OdfTransitionStyleType UNCOVER_TO_RIGHT

### MOVE_FROM_BOTTOM

    public static final OdfTransitionStyleType MOVE_FROM_BOTTOM

### FADE_FROM_LEFT

    public static final OdfTransitionStyleType FADE_FROM_LEFT

### STRETCH_FROM_RIGHT

    public static final OdfTransitionStyleType STRETCH_FROM_RIGHT

### MOVE_FROM_UPPERRIGHT

    public static final OdfTransitionStyleType MOVE_FROM_UPPERRIGHT

### WAVYLINE_FROM_LEFT

    public static final OdfTransitionStyleType WAVYLINE_FROM_LEFT

### CLOCKWISE

    public static final OdfTransitionStyleType CLOCKWISE

### SPIRALIN_RIGHT

    public static final OdfTransitionStyleType SPIRALIN_RIGHT

### MOVE_FROM_LOWERLEFT

    public static final OdfTransitionStyleType MOVE_FROM_LOWERLEFT

Method Detail

### values

    public static OdfTransitionStyleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTransitionStyleType c : OdfTransitionStyleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTransitionStyleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTransitionStyleType>`
  Returns:
    return the name of OdfTransitionStyleType

### toString

    public static String toString(OdfTransitionStyleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTransitionStyleType, see presentation:transition-style
  Returns:
    return the name of OdfTransitionStyleType

### enumValueOf

    public static OdfTransitionStyleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTransitionStyleType
  Returns:
    return the constant of OdfTransitionStyleType, see presentation:transition-style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.